FreeMat

- Main Page
- Related Pages

vtkMatricizeArray

Section: Visualization Toolkit Infovis Classes

# Usage

Given a sparse input array of arbitrary dimension, creates a sparse output matrix (vtkSparseArray<double>) where each column is a slice along an arbitrary dimension from the source.

.SECTION Thanks Developed by Timothy M. Shead (tshea.nosp@m.d@sa.nosp@m.ndia..nosp@m.gov) at Sandia National Laboratories.

To create an instance of class vtkMatricizeArray, simply invoke its constructor as follows

      obj = vtkMatricizeArray

# Methods

The class vtkMatricizeArray has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMatricizeArray class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMatricizeArray = obj.NewInstance ()`
- `vtkMatricizeArray = obj.SafeDownCast (vtkObject o)`
- `vtkIdType = obj.GetSliceDimension ()` - Returns the 0-numbered dimension that will be mapped to columns in the output
- `obj.SetSliceDimension (vtkIdType )` - Sets the 0-numbered dimension that will be mapped to columns in the output